Loading...
Searching...
No Matches
FluxCaptureMeta Struct Reference

Metadata structure returned by aaruf_get_flux_captures(). More...

`#include <aaruformat/structs/flux.h>`

## Data Fields

uint32_t | head
| Head number the flux capture corresponds to.
uint16_t | track
| Track number the flux capture corresponds to.
uint8_t | subtrack
| Subtrack number the flux capture corresponds to.
uint32_t | captureIndex
| Capture index, allowing multiple captures for the same location.
uint64_t | indexResolution
| Resolution in picoseconds at which the index stream was sampled.
uint64_t | dataResolution
| Resolution in picoseconds at which the data stream was sampled.

## Detailed Description

Metadata structure returned by aaruf_get_flux_captures().

This structure contains the public metadata for a flux capture, excluding internal file offsets. It is used when retrieving metadata for all captures in an image without needing to access the actual flux data.

The structure contains the same location and resolution information as FluxEntry, but omits the indexOffset and payloadOffset fields which are implementation details not needed by API users.

See also
  aaruf_get_flux_captures() to retrieve metadata for all captures
  FluxEntry for the complete structure including file offsets

Definition at line 182 of file flux.h.

## Field Documentation

## captureIndex

uint32_t FluxCaptureMeta::captureIndex

Capture index, allowing multiple captures for the same location.

Definition at line 187 of file flux.h.

Referenced by aaruf_get_flux_captures().

## dataResolution

uint64_t FluxCaptureMeta::dataResolution

Resolution in picoseconds at which the data stream was sampled.

Definition at line 189 of file flux.h.

Referenced by aaruf_get_flux_captures().

## head

uint32_t FluxCaptureMeta::head

Head number the flux capture corresponds to.

Definition at line 184 of file flux.h.

Referenced by aaruf_get_flux_captures().

## indexResolution

uint64_t FluxCaptureMeta::indexResolution

Resolution in picoseconds at which the index stream was sampled.

Definition at line 188 of file flux.h.

Referenced by aaruf_get_flux_captures().

## subtrack

uint8_t FluxCaptureMeta::subtrack

Subtrack number the flux capture corresponds to.

Definition at line 186 of file flux.h.

Referenced by aaruf_get_flux_captures().

## track

uint16_t FluxCaptureMeta::track

Track number the flux capture corresponds to.

Definition at line 185 of file flux.h.

Referenced by aaruf_get_flux_captures().

The documentation for this struct was generated from the following file:

- include/aaruformat/structs/flux.h